#ifndef NEIGHBOUR_H
#define NEIGHBOUR_H
//---------------------------------------------
#include "particledata.h"
#include "tree.h"
#include <vector>

void FindNeighbours(std::vector<std::vector<ParticleData>::size_type>& list, 
    const std::vector<NodeInfo>& tree, const std::vector<ParticleList>& plist, 
    const std::vector<ParticleData>& sph, const real *pos, const double h); 

void FindNeighbourPairs(std::vector<std::vector<ParticleData>::size_type>& list, 
    const std::vector<NodeInfo>& tree, const std::vector<ParticleList>& plist, 
    const std::vector<ParticleData>& sph, const real *pos, const double h); 
//---------------------------------------------
#endif
