#ifndef UTILS_H
#define UTILS_H
//----------------------------------------------
#include <cstdlib>

inline double double_rand(void) 
{
  return random()/static_cast<double>(RAND_MAX - 1); 
}

inline double sq(const double& x)  // avoid copy (does it make any faster for inline functions?)
{
  return x * x; 
}

inline double cube(const double& x)
{
  return x * x * x; 
}
//----------------------------------------------
#endif
